/// <reference types="react" />
import { ChatObject, MessageObject } from '../../../interfaces';
import { ChatFeedStyles } from './styles';
import { ChatHeaderProps } from './ChatHeader/props';
import { MessageListProps } from './MessageList/props';
import { MessageProps } from './MessageList/Message/props';
import { WelcomeGifProps } from './WelcomeGif/props';
import { MessageFormProps } from './MessageForm/props';
export interface ChatFeedProps extends ChatFeedStyles {
    messages: MessageObject[];
    username?: string;
    chat?: ChatObject;
    timezoneOffset?: number;
    isLoading?: boolean;
    hasMoreMessages?: boolean;
    onMessageLoaderShow?: () => void;
    onMessageLoaderHide?: () => void;
    onBottomMessageShow?: () => void;
    onBottomMessageHide?: () => void;
    onMessageFormSubmit?: (message: MessageObject) => void;
    renderChatFeed?: (props: ChatFeedProps) => JSX.Element | Element | React.FC<ChatFeedProps>;
    renderChatHeader?: (props: ChatHeaderProps) => JSX.Element | Element | React.FC<ChatHeaderProps>;
    renderMessageList?: (props: MessageListProps) => JSX.Element | Element | React.FC<MessageListProps>;
    renderMessage?: (props: MessageProps) => JSX.Element | Element | React.FC<MessageProps>;
    renderWelcomeGif?: (props: WelcomeGifProps) => JSX.Element | Element | React.FC<WelcomeGifProps>;
    renderMessageForm?: (props: MessageFormProps) => JSX.Element | Element | React.FC<MessageFormProps>;
}
